Name:           perl-Archive-Libarchive
%global debug_package %{nil}
Version:        0.08
Release:        1%{?dist}
Summary:        Modern Perl bindings to libarchive
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Archive-Libarchive/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Archive-Libarchive-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.020
BuildRequires:  perl(Alien::Libarchive3) >= 0.30
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FFI::C::File)
BuildRequires:  perl(FFI::C::Stat)
BuildRequires:  perl(FFI::CheckLib) >= 0.30
BuildRequires:  perl(FFI::Platypus) >= 1.38
BuildRequires:  perl(FFI::Platypus::Type::Enum) >= 0.05
BuildRequires:  perl(FFI::Platypus::Type::PtrObject)
BuildRequires:  perl(File::chdir)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Ref::Util)
BuildRequires:  perl(Sub::Identify)
BuildRequires:  perl(Term::Table)
BuildRequires:  perl(Test2::API) >= 1.302015
BuildRequires:  perl(Test2::Tools::MemoryCycle)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Archive::Libarchive)
BuildRequires:  perl(Test::Script) >= 1.09
BuildRequires:  perl-generators
Requires:       perl(FFI::C::Stat)
Requires:       perl(FFI::CheckLib) >= 0.30
Requires:       perl(FFI::Platypus) >= 1.38
Requires:       perl(FFI::Platypus::Type::Enum) >= 0.05
Requires:       perl(FFI::Platypus::Type::PtrObject)
Requires:       perl(Ref::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Perl object-oriented interface to the libarchive
library. The libarchive library is the API used to implemnt bsdtar, the
default tar implementation on a number of operating systems, including
FreeBSD, macOS and Windows. It can also be installed on most Linux
distributions. But wait, there is more, libarchive supports a number of
formats, compressors and filters transparently, so it can be a useful when
used as a universal archiver/extractor. Supported formats include:

%prep
%setup -q -n Archive-Libarchive-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README author.yml dist.ini perlcriticrc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 28 2024 rpm 0.08-1
- Specfile autogenerated by cpanspec 1.78.
